org.apache.ignite.internal.processors.cache

## Class CacheData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheData

All Implemented Interfaces:
  Serializable

    public class CacheData
    extends Object
    implements Serializable

Cache information sent in discovery data to joining node.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheConfiguration` `cacheConfiguration()`
`CacheConfigurationEnrichment` `cacheConfigurationEnrichment()`
`int` `cacheId()`
`CacheType` `cacheType()`
`IgniteUuid` `deploymentId()`
`long` `flags()`
`int` `groupId()`
`UUID` `receivedFrom()`
`QuerySchema` `schema()`
`boolean` `sql()`
`boolean` `staticallyConfigured()`
`boolean` `template()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### groupId

    public int groupId()

Returns:
  Cache group ID.

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### template

    public boolean template()

Returns:
  `True` if this is template configuration.

#### cacheType

    public CacheType cacheType()

Returns:
  Cache type.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Start ID.

#### staticallyConfigured

    public boolean staticallyConfigured()

Returns:
  `True` if statically configured.

#### sql

    public boolean sql()

Returns:
  `True` if cache was created by an SQL command such as `CREATE TABLE`.

#### cacheConfiguration

    public CacheConfiguration cacheConfiguration()

Returns:
  Cache configuration.

#### schema

    public QuerySchema schema()

Returns:
  Schema.

#### receivedFrom

    public UUID receivedFrom()

Returns:
  ID of node provided cache configuration.

#### flags

    public long flags()

Returns:
  Flags.

#### cacheConfigurationEnrichment

    public CacheConfigurationEnrichment cacheConfigurationEnrichment()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020